package com.ssj.bean.sys.game.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 小程序游戏测试记录
 * @author Mount Liu
 * @date 2018/2/19
 */
@Entity
@Table(name = "tb_game_record")
public class GameRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 答题人id
     */
    private String gameRespondentId;

    /**
     * 第几关卡
     */
    private Integer level;
    /**
     * 分数
     */
    private Double score;
    /**
     * 空间想象
     */
    private Double spaceImagination;
    /**
     * 执行功能
     */
    private Double executionFunctionality;
    /**
     * 视觉搜索
     */
    private Double visualSearch;
    /**
     * 工作记忆
     */
    private Double workingMemory;
    /**
     * 注意力
     */
    private Double attention;
    /**
     * 关联记忆
     */
    private Double relevantMemory;
    /**
     * 心理旋转
     */
    private Double mentalRotation;
    /**
     * 图形推理
     */
    private Double graphicReasoning;
    /**
     * 评价
     */
    private String appraisal;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 是否刪除
     */
    private Integer isDelete;

    public String getGameRespondentId() {
        return gameRespondentId;
    }

    public void setGameRespondentId(String gameRespondentId) {
        this.gameRespondentId = gameRespondentId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Double getSpaceImagination() {
        return spaceImagination;
    }

    public void setSpaceImagination(Double spaceImagination) {
        this.spaceImagination = spaceImagination;
    }

    public Double getExecutionFunctionality() {
        return executionFunctionality;
    }

    public void setExecutionFunctionality(Double executionFunctionality) {
        this.executionFunctionality = executionFunctionality;
    }

    public Double getVisualSearch() {
        return visualSearch;
    }

    public void setVisualSearch(Double visualSearch) {
        this.visualSearch = visualSearch;
    }

    public Double getWorkingMemory() {
        return workingMemory;
    }

    public void setWorkingMemory(Double workingMemory) {
        this.workingMemory = workingMemory;
    }

    public Double getAttention() {
        return attention;
    }

    public void setAttention(Double attention) {
        this.attention = attention;
    }

    public Double getRelevantMemory() {
        return relevantMemory;
    }

    public void setRelevantMemory(Double relevantMemory) {
        this.relevantMemory = relevantMemory;
    }

    public Double getMentalRotation() {
        return mentalRotation;
    }

    public void setMentalRotation(Double mentalRotation) {
        this.mentalRotation = mentalRotation;
    }

    public Double getGraphicReasoning() {
        return graphicReasoning;
    }

    public void setGraphicReasoning(Double graphicReasoning) {
        this.graphicReasoning = graphicReasoning;
    }

    public String getAppraisal() {
        return appraisal;
    }

    public void setAppraisal(String appraisal) {
        this.appraisal = appraisal;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }
}
